/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: DFNISUNC.C $
   $Locker:  $	$Name:  $	$State: Exp $

	int isUNCpath(const char fname[]);

	Return, if fname[] is an UNC path. It is preceeded by two backslashes.

	Target compilers: Micro-C, Borland C v2, v3.1, v4.52

*/

#include <portable.h>
#include "dfn.h"
#include "dynstr.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: DFNISUNC.C 1.1 1996/12/11 06:22:46 ska Exp $";
#endif

int isUNCpath(const char fname[])
{	return fname && *fname == '\\' && fname[1] == '\\';
}
