/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: LONGMULU.C $
   $Locker:  $	$Name:  $	$State: Exp $

	longmuli(num, int num2)

	multiply the int number to the dword num.
	Micro-C only.

	Return:	none.

*/

#ifdef _MICROC_

#include "suppl.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: LONGMULU.C 2.1 1996/11/08 03:18:16 ska Exp $";
#endif

longmulu(dword *num, unsigned n)
{	dword tmp;

	tmp.lo = n;
	tmp.hi = 0;
	longmul(num, tmp);
}
#endif
