#include "libdef.inc"
#if !defined(STD_CODE) && defined(ASM86_CODE)
# include <cv/asm86.h>
#endif
#include <cv/string2.h>

/* "Check for stack overflow" off for BC++ 3.1 */
#pragma option -N-

/*----------------------------------------------------------------------*/
/*   砫 ப ᥣ,  ᮤঠ饣  .	*/
/* 頥   ᥣ				*/

#pragma argsused

size_t FAST_ memcspan(CVP s, size_t sz, char ch){
#if defined(STD_CODE) || !defined(ASM86_CODE)

#pragma intrinsic memchr

	if(s == NULL) sz = 0;
	if(sz){
		PCStr last = (PCStr)memchr(s, ch, sz);
		if(last) sz = (size_t)(last - (PCStr)s);
	}
	return sz;
#else
	_CX = _AX /*sz*/;
#  ifdef FARDATA
	I LES_ di, DPTR_(s); _AX = _ES; _AX |= _DI;
#	define TEMP	_BX
#  else
	_DI = FP_OFF(s); _ES = _AX = FP_SEG(s); _AX = _DI; _AX |= _AX;
#	define TEMP	_SI
#  endif
	if(!isFLAG(Zero)){
		_AL = ch; TEMP = _CX;		/*  Zero 襭	*/
		I repne scasb; _AX = TEMP;
		if(isFLAG(Equal)) { _AX -= _CX; _AX--; }
	}
	return _AX;
#endif
}
